# Git pre-commit hook

This commit hook only runs if it detects a Go source repository (by testing for
the presence of a `go.mod` within the first 3 levels of directory).

Tests:
 - runs `go vet` on each module
 - runs `goimports` on all source (excluding generating protobuf `.pb.go` files)
 - checks for large (>1MiB) files
